%define	name	csmash
%define	version	0.6.6
%define	release	4mdk
%define	Summary	CannonSmash, a 3D tabletennis game

Name:		%{name}
Summary:	%{Summary}
Version:	%{version}
Release:	%{release}
Source0:	http://belnet.dl.sourceforge.net/sourceforge/cannonsmash/%{name}-%{version}.tar.bz2
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
Patch0:		csmash-0.6.6-64bit-fixes.patch.bz2
URL:		http://CannonSmash.sourceforge.net/
License:	GPL
Group:		Games/Sports
Packager:	Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRequires:	SDL_mixer-devel SDL_image-devel XFree86-static-libs alsa-lib-devel esound-devel 
BuildRequires:	gtk+2-devel MesaGLU-devel jpeg-devel texinfo zlib-devel gettext bison
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-%{release}-buildroot

%description
CannonSmash is a 3D tabletennis game. The goal of this project is to represent
various strategy of tabletennis on computer game.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/win32

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.png" \
  needs="x11" section="Amusement/Sports" title="Cannon Smash" \
  longtitle="%{Summary}"
EOF

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README README.en
%{_bindir}/*
%{_datadir}/games/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Wed Aug 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.6-4mdk
- Rebuild with new menu

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.6-3mdk
- Rebuild

* Sat Apr 17 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.6.6-2mdk
- fix buildrequires
- don't bzip2 icons in src.rpm
- change summary macro to avoid conflicts if we were to build debug package
- use %%make macro
- spec cosmetics

* Thu Jan 22 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.6-1mdk
- new version

* Thu Apr 24 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.5-2mdk
- fix buildrequires thx to stefan's robot

* Tue Jan 21 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.5-1mdk
- new version

* Mon Dec  2 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.6.4.2-7mdk
- Patch0: 64-bit fixes
- Ship with German and Japanese localizations

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.6.4.2-6mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.6.4.2-5mdk
- Automated rebuild with gcc3.2

* Sun Jul 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.4.2-4mdk
- recompile against new vorbis stuff

* Wed May 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.4.2-3mdk
- rebuild to link against latest libstdc++

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.4.2-2mdk
- rebuild for new alsa

* Fri Mar 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.4.2-1mdk
- new version

* Fri Feb 01 2002 Stefan van der Eijk <stefan@eijk.nu> 0.6.3-2mdk
- BuildRequires

* Mon Jan 28 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.3-1mdk
- new version
- create PNG icons

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 0.6.2-2mdk
- BuildRequires: libogg-devel oggvorbis-devel

* Mon Aug 27 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.2-1mdk
- new version

* Sun Jul 08 2001 Stefan van der Eijk <stefan@eijk.nu> 0.6.1-3mdk
- BuildRequires:	gtk+-devel
- BuildRequires:	libSDL-devel
- Removed BuildRequires:	XFree86-devel

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.1-2mdk
- rebuild

* Fri May 25 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.1-1mdk
- version 0.6.1

* Mon May 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.0-1mdk
- version 0.6.0
- new SDL

* Thu Mar 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.2-1mdk
- 0.5.2
- un-dadouize

* Fri Jan 12 2001 David BAUDENS <baudens@mandrakesoft.com> 0.4.6-3mdk
- BuildRequires: Mesa-common-devel

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.6-2mdk
- recompile against newest libstdc++

* Thu Sep 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.4.6-1mdk
- 0.4.6

* Tue Aug 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.5-1mdk
- 0.4.5

* Thu Aug 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.4-1mdk
- first mdk version. thanks to chmou. this game rocks!

